# Update Cloud Phone Profile

Endpoint: POST /api/cloudphone/edit/batch
Version: 1.0.0

## Request fields (application/json):

  - `id` (array, required)
    Cloud phone IDs

  - `envName` (string)
    Cloud phone name (≤64 chars)

  - `phoneNumber` (string)
    Customize your phone number. Format requirements:Must begin with a + sign, country code must be 1-3 digits (excluding 86), total length 8-14 digits, and contain only + and numbers.

  - `powerOnBillingStrategy` (integer)
    Non-Monthly cloud phone billing method (0:default, 1:parallel pack only)

  - `proxyId` (integer)
    Proxy ID

  - `groupId` (integer)
    Environment group ID

  - `groupName` (string)
    Group name (max 50 characters). If provided, the system first checks groupId: if a valid group is found, it is used; otherwise, it searches by groupName. If a group with that name exists, it is referenced; if not, a new group is created. Each team is limited to 1,000 groups.

  - `tags` (array)
    Environment tag name,When the tags value is empty, no customization is applied; when content is entered, it will be saved with the latest value.

  - `envRemark` (string)
    Environment remark (≤1500 chars, line breaks supported)

  - `automaticGeo` (boolean)
    Auto geolocation

  - `automaticLanguage` (boolean)
    Auto language

  - `automaticLocation` (boolean)
    Auto location (timezone & country)

  - `country` (string)
    Country

  - `timezone` (string)
    Timezone

  - `language` (string)
    Language

  - `altitude` (number)
    Altitude

  - `latitude` (number)
    Latitude

  - `longitude` (number)
    Longitude

  - `enableRoot` (boolean)
    Enable global ROOT

## Response 200 fields (application/json):

  - `code` (integer, required)
    Return result code:0,Normal Other codes are exceptions.

  - `msg` (string, required)
    Error message

  - `requestId` (string, required)
    Operation Request ID

